# This file was created automatically by SWIG 1.3.29.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _mypaintlib
import new
new_instancemethod = new.instancemethod
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'PySwigObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


class Rect(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Rect, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Rect, name)
    __repr__ = _swig_repr
    __swig_setmethods__["x"] = _mypaintlib.Rect_x_set
    __swig_getmethods__["x"] = _mypaintlib.Rect_x_get
    if _newclass:x = property(_mypaintlib.Rect_x_get, _mypaintlib.Rect_x_set)
    __swig_setmethods__["y"] = _mypaintlib.Rect_y_set
    __swig_getmethods__["y"] = _mypaintlib.Rect_y_get
    if _newclass:y = property(_mypaintlib.Rect_y_get, _mypaintlib.Rect_y_set)
    __swig_setmethods__["w"] = _mypaintlib.Rect_w_set
    __swig_getmethods__["w"] = _mypaintlib.Rect_w_get
    if _newclass:w = property(_mypaintlib.Rect_w_get, _mypaintlib.Rect_w_set)
    __swig_setmethods__["h"] = _mypaintlib.Rect_h_set
    __swig_getmethods__["h"] = _mypaintlib.Rect_h_get
    if _newclass:h = property(_mypaintlib.Rect_h_get, _mypaintlib.Rect_h_set)
    def __init__(self, *args): 
        this = _mypaintlib.new_Rect(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _mypaintlib.delete_Rect
Rect_swigregister = _mypaintlib.Rect_swigregister
Rect_swigregister(Rect)

class Surface(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Surface, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Surface, name)
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def draw_dab(*args): return _mypaintlib.Surface_draw_dab(*args)
    def get_color(*args): return _mypaintlib.Surface_get_color(*args)
    __swig_destroy__ = _mypaintlib.delete_Surface
Surface_swigregister = _mypaintlib.Surface_swigregister
Surface_swigregister(Surface)

ACTUAL_RADIUS_MIN = _mypaintlib.ACTUAL_RADIUS_MIN
ACTUAL_RADIUS_MAX = _mypaintlib.ACTUAL_RADIUS_MAX
class Brush(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Brush, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Brush, name)
    __repr__ = _swig_repr
    __swig_setmethods__["print_inputs"] = _mypaintlib.Brush_print_inputs_set
    __swig_getmethods__["print_inputs"] = _mypaintlib.Brush_print_inputs_get
    if _newclass:print_inputs = property(_mypaintlib.Brush_print_inputs_get, _mypaintlib.Brush_print_inputs_set)
    __swig_setmethods__["stroke_total_painting_time"] = _mypaintlib.Brush_stroke_total_painting_time_set
    __swig_getmethods__["stroke_total_painting_time"] = _mypaintlib.Brush_stroke_total_painting_time_get
    if _newclass:stroke_total_painting_time = property(_mypaintlib.Brush_stroke_total_painting_time_get, _mypaintlib.Brush_stroke_total_painting_time_set)
    __swig_setmethods__["stroke_current_idling_time"] = _mypaintlib.Brush_stroke_current_idling_time_set
    __swig_getmethods__["stroke_current_idling_time"] = _mypaintlib.Brush_stroke_current_idling_time_get
    if _newclass:stroke_current_idling_time = property(_mypaintlib.Brush_stroke_current_idling_time_get, _mypaintlib.Brush_stroke_current_idling_time_set)
    def __init__(self, *args): 
        this = _mypaintlib.new_Brush(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _mypaintlib.delete_Brush
    def new_stroke(*args): return _mypaintlib.Brush_new_stroke(*args)
    def set_base_value(*args): return _mypaintlib.Brush_set_base_value(*args)
    def set_mapping_n(*args): return _mypaintlib.Brush_set_mapping_n(*args)
    def set_mapping_point(*args): return _mypaintlib.Brush_set_mapping_point(*args)
    def stroke_to(*args): return _mypaintlib.Brush_stroke_to(*args)
    def get_state(*args): return _mypaintlib.Brush_get_state(*args)
    def set_state(*args): return _mypaintlib.Brush_set_state(*args)
    def get_actual_radius(*args): return _mypaintlib.Brush_get_actual_radius(*args)
Brush_swigregister = _mypaintlib.Brush_swigregister
Brush_swigregister(Brush)

class Mapping(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Mapping, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Mapping, name)
    __repr__ = _swig_repr
    __swig_setmethods__["base_value"] = _mypaintlib.Mapping_base_value_set
    __swig_getmethods__["base_value"] = _mypaintlib.Mapping_base_value_get
    if _newclass:base_value = property(_mypaintlib.Mapping_base_value_get, _mypaintlib.Mapping_base_value_set)
    def __init__(self, *args): 
        this = _mypaintlib.new_Mapping(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _mypaintlib.delete_Mapping
    def set_n(*args): return _mypaintlib.Mapping_set_n(*args)
    def set_point(*args): return _mypaintlib.Mapping_set_point(*args)
    def is_constant(*args): return _mypaintlib.Mapping_is_constant(*args)
    def calculate(*args): return _mypaintlib.Mapping_calculate(*args)
    def calculate_single_input(*args): return _mypaintlib.Mapping_calculate_single_input(*args)
Mapping_swigregister = _mypaintlib.Mapping_swigregister
Mapping_swigregister(Mapping)

TILE_SIZE = _mypaintlib.TILE_SIZE
MAX_MIPMAP_LEVEL = _mypaintlib.MAX_MIPMAP_LEVEL
class TiledSurface(Surface):
    __swig_setmethods__ = {}
    for _s in [Surface]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, TiledSurface, name, value)
    __swig_getmethods__ = {}
    for _s in [Surface]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, TiledSurface, name)
    __repr__ = _swig_repr
    def __init__(self, *args): 
        this = _mypaintlib.new_TiledSurface(*args)
        try: self.this.append(this)
        except: self.this = this
    def begin_atomic(*args): return _mypaintlib.TiledSurface_begin_atomic(*args)
    def end_atomic(*args): return _mypaintlib.TiledSurface_end_atomic(*args)
    def get_tile_memory(*args): return _mypaintlib.TiledSurface_get_tile_memory(*args)
    def draw_dab(*args): return _mypaintlib.TiledSurface_draw_dab(*args)
    def get_color(*args): return _mypaintlib.TiledSurface_get_color(*args)
    def get_alpha(*args): return _mypaintlib.TiledSurface_get_alpha(*args)
    __swig_destroy__ = _mypaintlib.delete_TiledSurface
TiledSurface_swigregister = _mypaintlib.TiledSurface_swigregister
TiledSurface_swigregister(TiledSurface)

tile_downscale_rgb16 = _mypaintlib.tile_downscale_rgb16
tile_downscale_rgba16 = _mypaintlib.tile_downscale_rgba16
tile_composite_rgba16_over_rgb16 = _mypaintlib.tile_composite_rgba16_over_rgb16
tile_blit_rgb16_into_rgb16 = _mypaintlib.tile_blit_rgb16_into_rgb16
tile_convert_rgba16_to_rgba8 = _mypaintlib.tile_convert_rgba16_to_rgba8
tile_convert_rgb16_to_rgb8 = _mypaintlib.tile_convert_rgb16_to_rgb8
tile_convert_rgba8_to_rgba16 = _mypaintlib.tile_convert_rgba8_to_rgba16
class SCWSColorSelector(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SCWSColorSelector, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SCWSColorSelector, name)
    __repr__ = _swig_repr
    size = _mypaintlib.SCWSColorSelector_size
    center = _mypaintlib.SCWSColorSelector_center
    RAD_TO_ONE = _mypaintlib.SCWSColorSelector_RAD_TO_ONE
    TWO_PI = _mypaintlib.SCWSColorSelector_TWO_PI
    ONE_OVER_THREE = _mypaintlib.SCWSColorSelector_ONE_OVER_THREE
    TWO_OVER_THREE = _mypaintlib.SCWSColorSelector_TWO_OVER_THREE
    __swig_setmethods__["brush_h"] = _mypaintlib.SCWSColorSelector_brush_h_set
    __swig_getmethods__["brush_h"] = _mypaintlib.SCWSColorSelector_brush_h_get
    if _newclass:brush_h = property(_mypaintlib.SCWSColorSelector_brush_h_get, _mypaintlib.SCWSColorSelector_brush_h_set)
    __swig_setmethods__["brush_s"] = _mypaintlib.SCWSColorSelector_brush_s_set
    __swig_getmethods__["brush_s"] = _mypaintlib.SCWSColorSelector_brush_s_get
    if _newclass:brush_s = property(_mypaintlib.SCWSColorSelector_brush_s_get, _mypaintlib.SCWSColorSelector_brush_s_set)
    __swig_setmethods__["brush_v"] = _mypaintlib.SCWSColorSelector_brush_v_set
    __swig_getmethods__["brush_v"] = _mypaintlib.SCWSColorSelector_brush_v_get
    if _newclass:brush_v = property(_mypaintlib.SCWSColorSelector_brush_v_get, _mypaintlib.SCWSColorSelector_brush_v_set)
    def set_brush_color(*args): return _mypaintlib.SCWSColorSelector_set_brush_color(*args)
    def get_hsva_at(*args): return _mypaintlib.SCWSColorSelector_get_hsva_at(*args)
    def pick_color_at(*args): return _mypaintlib.SCWSColorSelector_pick_color_at(*args)
    def render(*args): return _mypaintlib.SCWSColorSelector_render(*args)
    def __init__(self, *args): 
        this = _mypaintlib.new_SCWSColorSelector(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _mypaintlib.delete_SCWSColorSelector
SCWSColorSelector_swigregister = _mypaintlib.SCWSColorSelector_swigregister
SCWSColorSelector_swigregister(SCWSColorSelector)

class ColorChanger(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, ColorChanger, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, ColorChanger, name)
    __repr__ = _swig_repr
    size = _mypaintlib.ColorChanger_size
    __swig_setmethods__["brush_h"] = _mypaintlib.ColorChanger_brush_h_set
    __swig_getmethods__["brush_h"] = _mypaintlib.ColorChanger_brush_h_get
    if _newclass:brush_h = property(_mypaintlib.ColorChanger_brush_h_get, _mypaintlib.ColorChanger_brush_h_set)
    __swig_setmethods__["brush_s"] = _mypaintlib.ColorChanger_brush_s_set
    __swig_getmethods__["brush_s"] = _mypaintlib.ColorChanger_brush_s_get
    if _newclass:brush_s = property(_mypaintlib.ColorChanger_brush_s_get, _mypaintlib.ColorChanger_brush_s_set)
    __swig_setmethods__["brush_v"] = _mypaintlib.ColorChanger_brush_v_set
    __swig_getmethods__["brush_v"] = _mypaintlib.ColorChanger_brush_v_get
    if _newclass:brush_v = property(_mypaintlib.ColorChanger_brush_v_get, _mypaintlib.ColorChanger_brush_v_set)
    def set_brush_color(*args): return _mypaintlib.ColorChanger_set_brush_color(*args)
    def render(*args): return _mypaintlib.ColorChanger_render(*args)
    def pick_color_at(*args): return _mypaintlib.ColorChanger_pick_color_at(*args)
    def __init__(self, *args): 
        this = _mypaintlib.new_ColorChanger(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _mypaintlib.delete_ColorChanger
ColorChanger_swigregister = _mypaintlib.ColorChanger_swigregister
ColorChanger_swigregister(ColorChanger)

gdkpixbuf_numeric2numpy = _mypaintlib.gdkpixbuf_numeric2numpy


